"""
    Nomad CBEC

    This is the API descriptor for the Nomad CBEC, responsible for CBEC customer ID check. Developed by `Samarkand Global <https://samarkand.global>`_  # noqa: E501

    The version of the OpenAPI document: 1.5.0
    Contact: paul@samarkand.global
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

from nomad_cbec_id_cli.api_client import ApiClient, Endpoint
from nomad_cbec_id_cli.model_utils import (  # noqa: F401
    check_allowed_values,
    check_validations,
    date,
    datetime,
    file_type,
    none_type,
    validate_and_convert_types
)
from nomad_cbec_id_cli.model.api_response import ApiResponse


class UserApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

        def __id_check(
            self,
            user_id,
            name,
            **kwargs
        ):
            """idCheck  # noqa: E501

            Check if the user is valid.  # noqa: E501
            This method makes a synchronous HTTP request by default. To make an
            asynchronous HTTP request, please pass async_req=True

            >>> thread = api.id_check(user_id, name, async_req=True)
            >>> result = thread.get()

            Args:
                user_id (str): Customer ID
                name (str): Customer Name

            Keyword Args:
                cache (str): Cache that customer ID and name is matched. If the value is `disable`, the cache will not be checked. [optional]
                _return_http_data_only (bool): response data without head status
                    code and headers. Default is True.
                _preload_content (bool): if False, the urllib3.HTTPResponse object
                    will be returned without reading/decoding response data.
                    Default is True.
                _request_timeout (float/tuple): timeout setting for this request. If one
                    number provided, it will be total request timeout. It can also
                    be a pair (tuple) of (connection, read) timeouts.
                    Default is None.
                _check_input_type (bool): specifies if type checking
                    should be done one the data sent to the server.
                    Default is True.
                _check_return_type (bool): specifies if type checking
                    should be done one the data received from the server.
                    Default is True.
                _host_index (int/None): specifies the index of the server
                    that we want to use.
                    Default is read from the configuration.
                async_req (bool): execute request asynchronously

            Returns:
                ApiResponse
                    If the method is called asynchronously, returns the request
                    thread.
            """
            kwargs['async_req'] = kwargs.get(
                'async_req', False
            )
            kwargs['_return_http_data_only'] = kwargs.get(
                '_return_http_data_only', True
            )
            kwargs['_preload_content'] = kwargs.get(
                '_preload_content', True
            )
            kwargs['_request_timeout'] = kwargs.get(
                '_request_timeout', None
            )
            kwargs['_check_input_type'] = kwargs.get(
                '_check_input_type', True
            )
            kwargs['_check_return_type'] = kwargs.get(
                '_check_return_type', True
            )
            kwargs['_host_index'] = kwargs.get('_host_index')
            kwargs['user_id'] = \
                user_id
            kwargs['name'] = \
                name
            return self.call_with_http_info(**kwargs)

        self.id_check = Endpoint(
            settings={
                'response_type': (ApiResponse,),
                'auth': [
                    'ca_key'
                ],
                'endpoint_path': '/id',
                'operation_id': 'id_check',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'user_id',
                    'name',
                    'cache',
                ],
                'required': [
                    'user_id',
                    'name',
                ],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                ]
            },
            root_map={
                'validations': {
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'user_id':
                        (str,),
                    'name':
                        (str,),
                    'cache':
                        (str,),
                },
                'attribute_map': {
                    'user_id': 'user_id',
                    'name': 'name',
                    'cache': 'cache',
                },
                'location_map': {
                    'user_id': 'query',
                    'name': 'query',
                    'cache': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client,
            callable=__id_check
        )
